<?php
namespace Internetgalerie\IgsCrm\Domain\Model;


/**
 * Anrede
 */
class Anrede extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * anName
     *
     * @var string
     */
    protected $anName = '';

    /**
     * hideInLetterAddress
     *
     * @var bool
     */
    protected $hideInLetterAddress = false;

    /**
     * letterFormalDe
     *
     * @var string
     */
    protected $letterFormalDe = '';

    /**
     * letterFormalFr
     *
     * @var string
     */
    protected $letterFormalFr = '';

    /**
     * letterFormalIt
     *
     * @var string
     */
    protected $letterFormalIt = '';

    /**
     * letterInformalDe
     *
     * @var string
     */
    protected $letterInformalDe = '';

    /**
     * letterInformalFr
     *
     * @var string
     */
    protected $letterInformalFr = '';

    /**
     * letterInformalIt
     *
     * @var string
     */
    protected $letterInformalIt = '';
    
    /**
     * anNameFr
     *
     * @var string
     */
    protected $anNameFr = '';

    /**
     * anNameIt
     *
     * @var string
     */
    protected $anNameIt = '';



    /**
     * Returns the hideInLetterAddress
     *
     * @return bool $hideInLetterAddress
     */
    public function getHideInLetterAddress()
    {
        return $this->hideInLetterAddress;
    }

    /**
     * Sets the hideInLetterAddress
     *
     * @param bool $hideInLetterAddress
     * @return void
     */
    public function setHideInLetterAddress($hideInLetterAddress)
    {
        $this->hideInLetterAddress = $hideInLetterAddress;
    }

    
    /**
     * Returns the anName
     *
     * @return string $anName
     */
    public function getAnName()
    {
        return $this->anName;
    }

    /**
     * Sets the anName
     *
     * @param string $anName
     * @return void
     */
    public function setAnName($anName)
    {
        $this->anName = $anName;
    }

    /**
     * Returns the letterFormalDe
     *
     * @return string $letterFormalDe
     */
    public function getLetterFormalDe()
    {
        return $this->letterFormalDe;
    }

    /**
     * Sets the letterFormalDe
     *
     * @param string $letterFormalDe
     * @return void
     */
    public function setLetterFormalDe($letterFormalDe)
    {
        $this->letterFormalDe = $letterFormalDe;
    }

    /**
     * Returns the letterFormalFr
     *
     * @return string $letterFormalFr
     */
    public function getLetterFormalFr()
    {
        return $this->letterFormalFr;
    }

    /**
     * Sets the letterFormalFr
     *
     * @param string $letterFormalFr
     * @return void
     */
    public function setLetterFormalFr($letterFormalFr)
    {
        $this->letterFormalFr = $letterFormalFr;
    }

    /**
     * Returns the letterFormalIt
     *
     * @return string $letterFormalIt
     */
    public function getLetterFormalIt()
    {
        return $this->letterFormalIt;
    }

    /**
     * Sets the letterFormalIt
     *
     * @param string $letterFormalIt
     * @return void
     */
    public function setLetterFormalIt($letterFormalIt)
    {
        $this->letterFormalIt = $letterFormalIt;
    }








    /**
     * Returns the letterInformalDe
     *
     * @return string $letterInformalDe
     */
    public function getLetterInformalDe()
    {
        return $this->letterInformalDe;
    }

    /**
     * Sets the letterInformalDe
     *
     * @param string $letterInformalDe
     * @return void
     */
    public function setLetterInformalDe($letterInformalDe)
    {
        $this->letterInformalDe = $letterInformalDe;
    }

    /**
     * Returns the letterInformalFr
     *
     * @return string $letterInformalFr
     */
    public function getLetterInformalFr()
    {
        return $this->letterInformalFr;
    }

    /**
     * Sets the letterInformalFr
     *
     * @param string $letterInformalFr
     * @return void
     */
    public function setLetterInformalFr($letterInformalFr)
    {
        $this->letterInformalFr = $letterInformalFr;
    }

    /**
     * Returns the letterInformalIt
     *
     * @return string $letterInformalIt
     */
    public function getLetterInformalIt()
    {
        return $this->letterInformalIt;
    }

    /**
     * Sets the letterInformalIt
     *
     * @param string $letterInformalIt
     * @return void
     */
    public function setLetterInformalIt($letterInformalIt)
    {
        $this->letterInformalIt = $letterInformalIt;
    }


    /**
     * Returns the anNameFr
     *
     * @return string $anNameFr
     */
    public function getAnNameFr()
    {
        return $this->anNameFr;
    }

    /**
     * Sets the anNameFr
     *
     * @param string $anNameFr
     * @return void
     */
    public function setAnNameFr($anNameFr)
    {
        $this->anNameFr = $anNameFr;
    }

    /**
     * Returns the anNameIt
     *
     * @return string $anNameIt
     */
    public function getAnNameIt()
    {
        return $this->anNameIt;
    }

    /**
     * Sets the anNameIt
     *
     * @param string $anNameIt
     * @return void
     */
    public function setAnNameIt($anNameIt)
    {
        $this->anNameIt = $anNameIt;
    }
    public function getBriefanrede(string $lang): string
    {
        return $this->getLetterFormal($lang);
    }
    
    /**
     * Salutaion for Letter (formal: e.g. Sie)
     */
    public function getLetterFormal(string $lang): string
    {
        if ($lang=='F' || $lang=='FR' || $lang=='fr') {
            return $this->letterFormalFr;
        }
        if ($lang=='I' || $lang=='IT' || $lang=='it') {
            return $this->letterFormalIt;
        }
        return $this->letterFormalDe;
    }

    /**
     * Salutaion for Letter (informal: e.g Du) 
     */
    public function getLetterInformal(string $lang): string
    {
        if ($lang=='F' || $lang=='FR' || $lang=='fr') {
            return $this->letterInformalFr;
        }
        if ($lang=='I' || $lang=='IT' || $lang=='it') {
            return $this->letterInformalIt;
        }
        return $this->letterInformalDe;
    }


    /**
     * Returns the Briefanrede
     *
     * @param string $lang
     * @return string $Briefanrede
     */
    public function getAnrede($lang)
    {
        if ($lang=='F' || $lang=='FR' || $lang=='fr') {
            return $this->anNameFr;
        }
        if ($lang=='I' || $lang=='IT' || $lang=='it') {
            return $this->anNameIt;
        }
        return $this->anName;
    }

    public function __toString()
    {
        return $this->getAnName();
    }
}
