<?php
namespace Internetgalerie\IgsCrm\Domain\Model;

/**
 * Category
 */
class Category extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * name
     *
     * @var string
     */
    protected $name = '';

    /**
     * betrag
     *
     * @var string
     */
    protected $betrag = '';

    /**
     * verband
     *
     * @var \Internetgalerie\IgsCrm\Domain\Model\Verband
     */
    protected $verband = null;

    /**
     * Returns the name
     *
     * @return string $name
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Sets the name
     *
     * @param string $name
     * @return void
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * Returns the betrag
     *
     * @return string $betrag
     */
    public function getBetrag()
    {
        return $this->betrag;
    }

    /**
     * Sets the betrag
     *
     * @param string $betrag
     * @return void
     */
    public function setBetrag($betrag)
    {
        $this->betrag = $betrag;
    }
    /**
     * Returns the verband
     *
     * @return \Internetgalerie\IgsCrm\Domain\Model\Verband $verband
     */
    public function getVerband()
    {
        return $this->verband;
    }

    /**
     * Sets the verband
     *
     * @param \Internetgalerie\IgsCrm\Domain\Model\Verband $verband
     * @return void
     */
    public function setVerband(\Internetgalerie\IgsCrm\Domain\Model\Verband $verband)
    {
        $this->verband = $verband;
    }
    
    public function __toString()
    {
        $str = $this->getName();
        return $str;
    }
}
