<?php

declare(strict_types=1);

namespace Internetgalerie\IgsCrm\Domain\Model;

/**
 * Certificate
 */
class Certificate extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * name
     *
     * @var string
     */
    protected $name = '';

    /**
     * limitToType
     *
     * @var string
     */
    protected $limitToType = '';

    /**
     * Returns the name
     *
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Sets the name
     *
     * @param string $name
     * @return void
     */
    public function setName(string $name)
    {
        $this->name = $name;
    }

    /**
     * Returns the limitToType
     *
     * @return string
     */
    public function getLimitToType()
    {
        return $this->limitToType;
    }

    /**
     * Sets the limitToType
     *
     * @param string $limitToType
     * @return void
     */
    public function setLimitToType(string $limitToType)
    {
        $this->limitToType = $limitToType;
    }

    public function __toString()
    {
        return $this->getName();
    }
}
