<?php
namespace Internetgalerie\IgsCrm\Domain\Model;

use TYPO3\CMS\Core\Utility\GeneralUtility;


/**
 * Tagverband
 */
class ContactTag extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * textfield1De
     *
     * @var string
     */
    protected $textfield1De = '';

    /**
     * textfield1En
     *
     * @var string
     */
    protected $textfield1En = '';

    /**
     * textfield1Fr
     *
     * @var string
     */
    protected $textfield1Fr = '';

    /**
     * textfield1It
     *
     * @var string
     */
    protected $textfield1It = '';

    /**
     * textfield2De
     *
     * @var string
     */
    protected $textfield2De = '';

    /**
     * textfield2En
     *
     * @var string
     */
    protected $textfield2En = '';

    /**
     * textfield2Fr
     *
     * @var string
     */
    protected $textfield2Fr = '';

    /**
     * textfield2It
     *
     * @var string
     */
    protected $textfield2It = '';

    /**
     * textfield3De
     *
     * @var string
     */
    protected $textfield3De = '';

    /**
     * textfield3En
     *
     * @var string
     */
    protected $textfield3En = '';

    /**
     * textfield3Fr
     *
     * @var string
     */
    protected $textfield3Fr = '';

    /**
     * textfield3It
     *
     * @var string
     */
    protected $textfield3It = '';

    /**
     * contact
     *
     * @var \Internetgalerie\IgsCrm\Domain\Model\Contact
     */
    protected $contact = null;

    /**
     * tag
     *
     * @var \Internetgalerie\IgsCrm\Domain\Model\Tag
     */
    protected $tag = null;

    /**
     * tagrole
     *
     * @var \Internetgalerie\IgsCrm\Domain\Model\TagRole
     */
    protected $tagrole = null;


    public function getTextfield1()
    {
        return $this->textfield1De;
    }
    public function getTextfield2()
    {
        return $this->textfield2De;
    }
    public function getTextfield3()
    {
        return $this->textfield3De;
    }
    /**
     * Returns the textfield1De
     *
     * @return string $textfield1De
     */
    public function getTextfield1De()
    {
        return $this->textfield1De;
    }

    /**
     * Sets the textfield1De
     *
     * @param string $textfield1De
     * @return void
     */
    public function setTextfield1De($textfield1De)
    {
        $this->textfield1De = $textfield1De;
    }

    /**
     * Returns the textfield1En
     *
     * @return string $textfield1En
     */
    public function getTextfield1En()
    {
        return $this->textfield1En;
    }

    /**
     * Sets the textfield1En
     *
     * @param string $textfield1En
     * @return void
     */
    public function setTextfield1En($textfield1En)
    {
        $this->textfield1En = $textfield1En;
    }

    /**
     * Returns the textfield1Fr
     *
     * @return string $textfield1Fr
     */
    public function getTextfield1Fr()
    {
        return $this->textfield1Fr;
    }

    /**
     * Sets the textfield1Fr
     *
     * @param string $textfield1Fr
     * @return void
     */
    public function setTextfield1Fr($textfield1Fr)
    {
        $this->textfield1Fr = $textfield1Fr;
    }

    /**
     * Returns the textfield1It
     *
     * @return string $textfield1It
     */
    public function getTextfield1It()
    {
        return $this->textfield1It;
    }

    /**
     * Sets the textfield1It
     *
     * @param string $textfield1It
     * @return void
     */
    public function setTextfield1It($textfield1It)
    {
        $this->textfield1It = $textfield1It;
    }


    /**
     * Sets the textfield2De
     *
     * @param string $textfield2De
     * @return void
     */
    public function setTextfield2De($textfield2De)
    {
        $this->textfield2De = $textfield2De;
    }

    /**
     * Returns the textfield2En
     *
     * @return string $textfield2En
     */
    public function getTextfield2En()
    {
        return $this->textfield2En;
    }

    /**
     * Sets the textfield2En
     *
     * @param string $textfield2En
     * @return void
     */
    public function setTextfield2En($textfield2En)
    {
        $this->textfield2En = $textfield2En;
    }

    /**
     * Returns the textfield2Fr
     *
     * @return string $textfield2Fr
     */
    public function getTextfield2Fr()
    {
        return $this->textfield2Fr;
    }

    /**
     * Sets the textfield2Fr
     *
     * @param string $textfield2Fr
     * @return void
     */
    public function setTextfield2Fr($textfield2Fr)
    {
        $this->textfield2Fr = $textfield2Fr;
    }

    /**
     * Returns the textfield2It
     *
     * @return string $textfield2It
     */
    public function getTextfield2It()
    {
        return $this->textfield2It;
    }

    /**
     * Sets the textfield2It
     *
     * @param string $textfield2It
     * @return void
     */
    public function setTextfield2It($textfield2It)
    {
        $this->textfield2It = $textfield2It;
    }


        /**
     * Sets the textfield3De
     *
     * @param string $textfield3De
     * @return void
     */
    public function setTextfield3De($textfield3De)
    {
        $this->textfield3De = $textfield3De;
    }

    /**
     * Returns the textfield3En
     *
     * @return string $textfield3En
     */
    public function getTextfield3En()
    {
        return $this->textfield3En;
    }

    /**
     * Sets the textfield3En
     *
     * @param string $textfield3En
     * @return void
     */
    public function setTextfield3En($textfield3En)
    {
        $this->textfield3En = $textfield3En;
    }

    /**
     * Returns the textfield3Fr
     *
     * @return string $textfield3Fr
     */
    public function getTextfield3Fr()
    {
        return $this->textfield3Fr;
    }

    /**
     * Sets the textfield3Fr
     *
     * @param string $textfield3Fr
     * @return void
     */
    public function setTextfield3Fr($textfield3Fr)
    {
        $this->textfield3Fr = $textfield3Fr;
    }

    /**
     * Returns the textfield3It
     *
     * @return string $textfield3It
     */
    public function getTextfield3It()
    {
        return $this->textfield3It;
    }

    /**
     * Sets the textfield3It
     *
     * @param string $textfield3It
     * @return void
     */
    public function setTextfield3It($textfield3It)
    {
        $this->textfield3It = $textfield3It;
    }

    

    /**
     * Returns the contact
     *
     * @return \Internetgalerie\IgsCrm\Domain\Model\Contact $contact
     */
    public function getContact()
    {
        return $this->contact;
    }
    public function getPerson()
    {
        return $this->contact;
    }

    /**
     * Sets the contact
     *
     * @param \Internetgalerie\IgsCrm\Domain\Model\Contact $contact
     * @return void
     */
    public function setContact(\Internetgalerie\IgsCrm\Domain\Model\Contact $contact)
    {
        $this->contact = $contact;
    }

    /**
     * Returns the tag
     *
     * @return \Internetgalerie\IgsCrm\Domain\Model\Tag $tag
     */
    public function getTag()
    {
        return $this->tag;
    }

    /**
     * Sets the tag
     *
     * @param \Internetgalerie\IgsCrm\Domain\Model\Tag $tag
     * @return void
     */
    public function setTag(\Internetgalerie\IgsCrm\Domain\Model\Tag $tag)
    {
        $this->tag = $tag;
    }

    /**
     * Returns the tagrole
     *
     * @return \Internetgalerie\IgsCrm\Domain\Model\TagRole $tagrole
     */
    public function getTagrole()
    {
        return $this->tagrole;
    }

    /**
     * Sets the tagrole
     *
     * @param \Internetgalerie\IgsCrm\Domain\Model\TagRole $tagrole
     * @return void
     */
    public function setTagrole(\Internetgalerie\IgsCrm\Domain\Model\TagRole $tagrole)
    {
        $this->tagrole = $tagrole;
    }

    public function __toString()
    {
        $str = $this->getTextfield1De();
        return $str;
    }

}
