<?php
namespace Internetgalerie\IgsCrm\Domain\Model;

use Internetgalerie\IgCrmTemplate\Domain\Model\LanguageInterface;

/**
 * Language
 */
class Language extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity implements LanguageInterface
{

    /**
     * lgName
     *
     * @var string
     */
    protected $lgName = '';

    /**
     * lgShort
     *
     * @var string
     */
    protected $lgShort = '';

    /**
     * lgCode
     *
     * @var string
     */
    protected $lgCode = '';

    /**
     * lgLocale
     *
     * @var string
     */
    protected $lgLocale = '';
    
    /**
     * Returns the lgName
     *
     * @return string $lgName
     */
    public function getLgName()
    {
        return $this->lgName;
    }
    public function getName()
    {
        return $this->lgName;
    }

    /**
     * Sets the lgName
     *
     * @param string $lgName
     * @return void
     */
    public function setLgName($lgName)
    {
        $this->lgName = $lgName;
    }

    /**
     * Returns the lgShort
     *
     * @return string $lgShort
     */
    public function getLgShort()
    {
        return $this->lgShort;
    }
    public function getShort()
    {
        return $this->lgShort;
    }

    /**
     * Sets the lgShort
     *
     * @param string $lgShort
     * @return void
     */
    public function setLgShort($lgShort)
    {
        $this->lgShort = $lgShort;
    }


    /**
     * Returns the lgCode
     *
     * @return string $lgCode
     */
    public function getLgCode()
    {
        return $this->lgCode;
    }
    public function getLanguageKey()
    {
        return $this->lgCode;
    }
    public function getCode()
    {
        return $this->lgCode;
    }
    public function getCodeForProperty()
    {
        return ucfirst($this->lgCode);
    }

    /**
     * Sets the lgCode
     *
     * @param string $lgCode
     * @return void
     */
    public function setLgCode($lgCode)
    {
        $this->lgCode = $lgCode;
    }
    
    /**
     * Returns the lgLocale
     *
     * @return string $lgLocale
     */
    public function getLgLocale()
    {
        return $this->lgLocale;
    }
    public function getLocale()
    {
        return $this->lgLocale;
    }

    /**
     * Sets the lgLocale
     *
     * @param string $lgLocale
     * @return void
     */
    public function setLgLocale($lgLocale)
    {
        $this->lgLocale = $lgLocale;
    }

    public function __toString()
    {
        return $this->getLgName();
    }
}
