<?php
namespace Internetgalerie\IgsCrm\Domain\Model;

use Internetgalerie\IgsCrm\Domain\Model\ContactTag;
use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Extbase\Persistence\ObjectStorage;
use Internetgalerie\IgsCrm\Domain\Model\FrontendUserGroup;

/**
 * Person
 */
class Person extends Contact
{

    /**
     * Returns Kursteilnahmen vom Mitglied
     *
     * @return Internetgalerie\IgsCrm\Domain\Repository\KursteilnehmerRepository  Kursteilnahmen
     */
    public function getKursteilnahmen()
    {
        $repository = GeneralUtility::makeInstance(\Internetgalerie\IgsCrm\Domain\Repository\KursteilnehmerRepository::class);
        return  $repository->findByKtPerson($this->getUid());
    }


}
