<?php
namespace Internetgalerie\IgsCrm\Domain\Model;

use TYPO3\CMS\Core\Utility\GeneralUtility;


/**
 * Tagverband
 */
class TagRole extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * name
     *
     * @var string
     */
    protected $name = '';

    /**
     * sorting
     *
     * @var integer
     */
    protected $sorting = 0;

    /**
     * tag
     *
     * @var \Internetgalerie\IgsCrm\Domain\Model\Tag
     */
    protected $tag = null;


    /**
     * showMail
     *
     * @var bool
     */
    protected $showMail = false;


    /**
     * Returns the name
     *
     * @return string $name
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Sets the name
     *
     * @param string $name
     * @return void
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * Returns the sorting
     *
     * @return integer $sorting
     */
    public function getSorting() {
        return $this->sorting;
    }
 
    /**
     * Sets the sorting
     *
     * @param integer $sorting
     * @return void
     */
    public function setSorting($sorting) {
        $this->sorting = $sorting;
    }
    /**
     * Returns the tag
     *
     * @return \Internetgalerie\IgsCrm\Domain\Model\Tag $tag
     */
    public function getTag()
    {
        return $this->tag;
    }

    /**
     * Sets the tag
     *
     * @param \Internetgalerie\IgsCrm\Domain\Model\Tag $tag
     * @return void
     */
    public function setTag(\Internetgalerie\IgsCrm\Domain\Model\Tag $tag)
    {
        $this->tag = $tag;
    }


    /**
     * Returns the showMail
     *
     * @return integer $showMail
     */
    public function getShowMail() {
        return $this->showMail;
    }
 
    /**
     * Sets the showMail
     *
     * @param integer $showMail
     * @return void
     */
    public function setShowMail($showMail) {
        $this->showMail = $showMail;
    }

    
    public function __toString()
    {
        $str = $this->getName();
        return $str;
    }

}
