<?php
namespace Internetgalerie\IgsCrm\Domain\Repository;

/**
 * The repository for Certificates
 */
class CertificateRepository extends \TYPO3\CMS\Extbase\Persistence\Repository
{
    protected $defaultOrderings = [
        'sorting' => \TYPO3\CMS\Extbase\Persistence\QueryInterface::ORDER_ASCENDING,
        'name' => \TYPO3\CMS\Extbase\Persistence\QueryInterface::ORDER_ASCENDING,
    ];

    public function findByLimitToTypeOrNull($type)
    {
        $query = $this->createQuery();
        $constraints = [
            $query->equals('limitToType', $type),
            $query->equals('limitToType', null)
        ];
        $query->matching(
            $query->logicalOr(...$constraints)
        );
        $query->setOrderings([
            'sorting' => \TYPO3\CMS\Extbase\Persistence\QueryInterface::ORDER_ASCENDING
        ]);
        return $query->execute();
    }

}
