<?php
namespace Internetgalerie\IgsCrm\Domain\Repository;


use Ig\IgFibu\Service\DebitorService;
use Ig\IgFibu\Domain\Model\Invoice;
use TYPO3\CMS\Core\Database\Query\QueryBuilder;
use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Extbase\Persistence\Generic\Mapper\DataMapper;
use TYPO3\CMS\Extbase\Persistence\Generic\Storage\Typo3DbQueryParser;

class InvoiceRepository extends \Ig\IgFibu\Domain\Repository\InvoiceRepository
{

    protected $entryTablename = 'tx_igscrm_domain_model_contact';
    protected $entryPrimaryKey = 'uid';
    protected $entryKeywordSearchAttributes = [
        'me_firstname',
        'me_lastname',
        'me_companyname',
        'me_email',
    ];
    protected $entryLanguageAttribute =	'me_languageid';

    //    protected $clientTablename = 'tx_igscrm_domain_model_verband'; // Verband/Mandant table name
    //protected $clientPrimaryKey = 'uid'; // Verband/Mandant Primary key
    /*    
    public function findBySearch(array $search = [])
    {
        $queryBuilder = $this->createInvoiceQueryBuilderLeftJoinEntries();
        $queryBuilder->select(static::$tablename . '.*');
        $queryBuilder->addSearch($search);

        if ($search['sorting']) {
            $sortingAttributes = $this->debitorService->getSortingAttributesById(static::$tablename, $search['sorting']);
            if ($sortingAttributes === null) {
                $queryBuilder = $this->queryBuilderAddSorting($queryBuilder);
            } else {
                if (!empty($sortingAttributes)) {
                    foreach ($sortingAttributes as $attribute) {
                        $orderByArgs = GeneralUtility::trimExplode(' ', $attribute, true);
                        $sort = $orderByArgs[0];
                        $order = $orderByArgs[1] ?? 'ASC';
                        $queryBuilder->addOrderBy($sort, $order);
                        //echo($sort . ' ' . $order .'<br />'); 
                    }
                }
            }
            //var_dump($search['sorting'], $sortingAttributes);exit();
        }

        return $queryBuilder;
    }   
*/
}