<?php
declare(strict_types = 1);
namespace Internetgalerie\IgsCrm\Exception;
 
use TYPO3\CMS\Core\Exception;
 
/**
 * An exception when slug field ist not found for table in TCA
 */
class TableNotFoundException extends Exception
{
    public function __construct($tablename)
    {
        $message = 'table "' . $tablename. '"not found';
        parent::__construct($message);
    }

}