<?php

return [
    \Ig\IgFibu\Domain\Model\Invoice::class => [
        'tableName' =>  'tx_igfibu_domain_model_invoice',
        'recordType' => \Ig\IgFibu\Domain\Model\Invoice::class,
        'subclasses' => [
            'Invoice' => \Internetgalerie\IgsCrm\Domain\Model\Invoice::class,
            'InvoiceAnnual' => \Internetgalerie\IgsCrm\Domain\Model\InvoiceAnnual::class,
        ],
    ],
    
    \Internetgalerie\IgsCrm\Domain\Model\Invoice::class => [
        'tableName' => 'tx_igfibu_domain_model_invoice',
        'recordType' => 'Invoice',
    ],
    \Internetgalerie\IgsCrm\Domain\Model\InvoiceAnnual::class => [
        'tableName' => 'tx_igfibu_domain_model_invoice',
        'recordType' => 'InvoiceAnnual',
    ],
    

    \Ig\IgFibu\Domain\Model\InvoiceItem::class => [
        'tableName' =>  'tx_igfibu_domain_model_invoiceitem',
        'recordType' => \Ig\IgFibu\Domain\Model\InvoiceItem::class,
        'subclasses' => [
            \Ig\IgFibu\Domain\Model\InvoiceItem::class => \Ig\IgFibu\Domain\Model\InvoiceItem::class,
            \Ig\IgFibu\Domain\Model\InvoiceItemUnit::class => \Ig\IgFibu\Domain\Model\InvoiceItemUnit::class,
            \Internetgalerie\IgsCrm\Domain\Model\InvoiceItemMembership::class => \Internetgalerie\IgsCrm\Domain\Model\InvoiceItemMembership::class,
            \Internetgalerie\IgsCrm\Domain\Model\InvoiceItemJournal::class => \Internetgalerie\IgsCrm\Domain\Model\InvoiceItemJournal::class,
        ],
    ],

    \Internetgalerie\IgsCrm\Domain\Model\InvoiceItemMembership::class => [
        'tableName' => 'tx_igfibu_domain_model_invoiceitem',
        'recordType' => \Internetgalerie\IgsCrm\Domain\Model\InvoiceItemMembership::class,
    ],

    \Internetgalerie\IgsCrm\Domain\Model\InvoiceItemJournal::class => [
        'tableName' => 'tx_igfibu_domain_model_invoiceitem',
        'recordType' => \Internetgalerie\IgsCrm\Domain\Model\InvoiceItemJournal::class,
    ],


    \Internetgalerie\IgsCrm\Domain\Model\FrontendUser::class => [
        'tableName' => 'fe_users',
        'properties' => [
            'originalFileIdentifier' => [
                'crmSettingsPrinterMarginTop' => 'crm_settings_printer_margin_top',
                'crmSettingsCustomCss' => 'crm_settings_custom_css',
                'crmVerbandUids' => 'crm_verband_uids',
            ],
        ],
    ],
    
    \Internetgalerie\IgsCrm\Domain\Model\FrontendUserGroup::class => [
        'tableName' => 'fe_groups',
    ],

    \Internetgalerie\IgsCrm\Domain\Model\Contact::class => [
        'tableName' =>  'tx_igscrm_domain_model_contact',
        'recordType' => 'Contact',
        'subclasses' => [
            'Person' => \Internetgalerie\IgsCrm\Domain\Model\Person::class,
            'Organisation' => \Internetgalerie\IgsCrm\Domain\Model\Organisation::class,
        ],
    ],
    \Internetgalerie\IgsCrm\Domain\Model\Person::class => [
        'tableName' =>  'tx_igscrm_domain_model_contact',
        'recordType' => 'Person',
        //'subclasses' => [
            //'Organisation' => \Internetgalerie\IgsCrm\Domain\Model\Organisation::class,
        // ],
    ],
     \Internetgalerie\IgsCrm\Domain\Model\Organisation::class => [
        'tableName' =>  'tx_igscrm_domain_model_contact',
        'recordType' => 'Organisation',//\Internetgalerie\IgsCrm\Domain\Model\Organisation::class,
     ],

];
