<?php

call_user_func(function () {

    $newColumn = [
        'crm_settings_printer_margin_top' => [
            'exclude' => 0,
            'label' => 'Drucker Abstand Oben',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => [
                    ['Normaler Abstand (0)', 0],
                    ['Kleiner Abstand (30)', 30],
                    ['Mittlerer Abstand (60)', 60],
                    ['Mittel-Grosser Abstand (75)', 75],
                ],
            ],
        ],
        'crm_settings_custom_css' => [
            'exclude' => 0,
            'label' => 'Zusätzliche CSS Regeln',
            'config' => [
                'type' => 'text',
                'cols' => 40,
                'rows' => 15
            ],
        ],

        'crm_verband_uids' => [
            'exclude' => 0,
            'label' => 'Verband Uids to show in person list',
            'config' => [
                'type' => 'input',
                'eval' => 'trim,null',
            ],
        ],
        'crm_default_group' => [
            'exclude' => 0,
            'label' => 'ACL: Default Frontend Usergroup',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'fe_groups',
                'items' => [
                    ['', '0'],
                ],
            ],
        ],

    ];
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('fe_users', $newColumn);

    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes(
        'fe_users',
        'crm_settings_printer_margin_top, crm_settings_custom_css, crm_verband_uids,crm_default_group'
    );
});
