<?php
namespace Internetgalerie\IgsCrm\Domain\Model;

use TYPO3\CMS\Core\Utility\GeneralUtility;
/**
 * Person
 */
class ImportConfig extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{
  /**
   * ignoreLinesAtBegining
   *
   * @var integer
   */
    protected $ignoreLinesAtBegining = 0;

    /**
     * hasHeaderLine
     *
     * @var boolean
     */
    protected $hasHeaderLine=true;

    /**
     * sep
     *
     * @var string
     */
    protected $sep=',';

    /**
     * enclosure
     *
     * @var string
     */
    protected $enclosure='"';

    /**
     * tablename
     *
     * @var string
     */
    protected $tablename='';

    /**
     * cols
     *
     * @var array
     */
    protected $cols=[];

    /**
     * defaultValues
     *
     * @var array
     */
    protected $defaultValues=[];

    /**
     * Returns the ignoreLinesAtBegining
     *
     * @return integer $ignoreLinesAtBegining
     */
    public function getIgnoreLinesAtBegining()
    {
        return $this->ignoreLinesAtBegining;
    }
    /**
     * Sets the ignoreLinesAtBegining
     *
     * @param integer $ignoreLinesAtBegining
     * @return void
     */
    public function setIgnoreLinesAtBegining($ignoreLinesAtBegining)
    {
        $this->ignoreLinesAtBegining = $ignoreLinesAtBegining;
    }

    /**
     * Returns the hasHeaderLine
     *
     * @return boolean $hasHeaderLine
     */
    public function getHasHeaderLine()
    {
        return $this->hasHeaderLine;
    }
    /**
     * Sets the hasHeaderLine
     *
     * @param boolean $hasHeaderLine
     * @return void
     */
    public function setHasHeaderLine($hasHeaderLine)
    {
        $this->hasHeaderLine = $hasHeaderLine;
    }

    /**
     * Returns the sep
     *
     * @return string $sep
     */
    public function getSep()
    {
        return $this->sep;
    }
    /**
     * Sets the sep
     *
     * @param string $sep
     * @return void
     */
    public function setSep($sep)
    {
        $this->sep = $sep;
    }

    /**
     * Returns the enclosure
     *
     * @return string $enclosure
     */
    public function getEnclosure()
    {
        return $this->enclosure;
    }
    /**
     * Sets the enclosure
     *
     * @param string $enclosure
     * @return void
     */
    public function setEnclosure($enclosure)
    {
        $this->enclosure = $enclosure;
    }


    /**
     * Returns the tablename
     *
     * @return string $tablename
     */
    public function getTablename()
    {
        return $this->tablename;
    }
    /**
     * Sets the tablename
     *
     * @param string $tablename
     * @return void
     */
    public function setTablename($tablename)
    {
        $this->tablename = $tablename;
    }
    

    /**
     * Returns the cols
     *
     * @return array $cols
     */
    public function getCols()
    {
        return $this->cols;
    }
    /**
     * Sets the cols
     *
     * @param array $cols
     * @return void
     */
    public function setCols($cols)
    {
        $this->cols = $cols;
    }

    /**
     * Returns the defaultValues
     *
     * @return array $defaultValues
     */
    public function getDefaultValues()
    {
        return $this->defaultValues;
    }
    /**
     * Sets the defaultValues
     *
     * @param array $defaultValues
     * @return void
     */
    public function setDefaultValues($defaultValues)
    {
        $this->defaultValues = $defaultValues;
    }
    
    
}
