<?php
namespace Internetgalerie\IgsCrm\Domain\Repository;

/**
 * The repository for CategoryOrganisations
 */
class CategoryOrganisationRepository extends \TYPO3\CMS\Extbase\Persistence\Repository
{
    protected $defaultOrderings = [
        'coName' => \TYPO3\CMS\Extbase\Persistence\QueryInterface::ORDER_ASCENDING
    ];
    
    public function findByLimitToTypeOrNull($type)
    {
        $query = $this->createQuery();
        $constraints = [
            $query->equals('limitToType', $type),
            $query->equals('limitToType', null)
        ];
        $query->matching(
            $query->logicalOr(...$constraints)
        );
        return $query->execute();
    }
        
}
