<?php
namespace Internetgalerie\IgsCrm\Domain\Repository;

/**
 * The repository for Tagverband
 */
class TagverbandRepository extends \TYPO3\CMS\Extbase\Persistence\Repository
{
    protected $defaultOrderings = [
                                      'name' => \TYPO3\CMS\Extbase\Persistence\QueryInterface::ORDER_ASCENDING
                 ];
    public function findBySearch(array $search)
    {
        $query = $this->createQuery();
        $query->getQuerySettings()->setRespectStoragePage(false);
        $searchConstrains = [];
        $searchConstrains[] = $query->equals('verband', $search['verband'] ?? 0);
        if (!empty($searchConstrains)) {
            $query->matching(
                $query->logicalAnd(...$searchConstrains)
            );
        }
        return $query->execute(true);
    }


}
