<?php
namespace Internetgalerie\IgsCrm\ViewHelpers;

use Internetgalerie\IgCrmTemplate\Utility\CrmTranslate;
use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper;
use TYPO3Fluid\Fluid\Core\Rendering\RenderingContextInterface;

class TranslateViewHelper extends AbstractViewHelper
{

    /**
     * Initialize the arguments.
     * @return void
     * @api
     */
    public function initializeArguments()
    {
        parent::initializeArguments();
        //$this->registerAsArgument();
        $this->registerArgument('languageKey', 'string', 'Key for getting translation of a different than current initialized language', false, null);
        $this->registerArgument('key', 'string', 'translation key', false, null);
    }

    /**
     * Content Renderer
     * @return string
     */
    public static function renderStatic(
        array $arguments,
        \Closure $renderChildrenClosure,
        RenderingContextInterface $renderingContext
    )
    {
        return CrmTranslate::translate($arguments['key'], $arguments['languageKey']);
    }
}
