<?php
$GLOBALS['TCA']['tx_igscrm_domain_model_branchen'] = [
    'ctrl' => [
        'title'	=> 'Branchen',
        'label' => 'name',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'dividers2tabs' => true,

        'versioningWS' => 2,
        'versioning_followPages' => true,

        // 'languageField' => 'sys_language_uid',
        // 'transOrigPointerField' => 'l10n_parent',
        // 'transOrigDiffSourceField' => 'l10n_diffsource',
        // 'delete' => 'deleted',
        // 'enablecolumns' => [
        //     'disabled' => 'hidden',
        //     'starttime' => 'starttime',
        //     'endtime' => 'endtime',
        // ],
        'searchFields' => 'name,parent',
        'iconfile' => 'EXT:igs_crm/Resources/Public/Icons/tx_igscrm_domain_model_kanton.gif'
    ],
    // 'interface' => [
    //     'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, ka_name, ka_abkuerzung',
    // ],
    'types' => [
        '1' => ['showitem' => 'name, parent'],
    ],
    'palettes' => [
        '1' => ['showitem' => ''],
    ],
    'columns' => [

        'name' => [
            'exclude' => 1,
            'label' => 'Branchen Name',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'parent' => [
            'exclude' => 1,
            'label' => 'Parent',
            'config' => [
                'type' => 'input'
            ]
        ],

    ],
];
